#!/bin/env ruby
# encoding: utf-8

require_relative '../../lib/soperf/color_helper'

describe 'SoPerf::ColorPicker' do
  before(:all) do
    @picker = lambda { SoPerf::ColorHelper.pick_a_color }
  end

  before(:each) do
    SoPerf::ColorHelper.reset_color_index
  end

  it 'should not select the same color twice consecutively' do
    color1 = @picker.call
    color2 = @picker.call
    15.times do
      expect(color1).to_not eq color2
      color1 = color2
      color2 = @picker.call
    end
  end

  it 'should reset the color index' do
    5.times do |i|
      SoPerf::ColorHelper.reset_color_index
      color1 = @picker.call
      i.times { @picker.call }
      SoPerf::ColorHelper.reset_color_index
      expect(@picker.call).to eq color1
    end
  end
end
