#!/bin/env ruby
# encoding: utf-8

require_relative '../../lib/soperf/soperf_helpers'

describe 'SoPerf::TimeHelper' do
  include SoPerf::TimeHelper

  it 'should leave milliseconds under 1000 alone' do
    expect(translate_time(500)).to eq '500ms'
  end

  it 'should translate ms over 1000 into seconds' do
    expect(translate_time(1000)).to eq '1s'
  end

  it 'should translate ms greater than or equal to 60000 into minutes' do
    expect(translate_time(60000)).to eq '1m'
  end

  it 'should translate ms greater than or equal to 3600000 into hours' do
    expect(translate_time(3600000)).to eq '1h'
  end

  it 'should translate ms greater than or equal to 86400000 into days' do
    expect(translate_time(86400000)).to eq '1d'
  end
end
